# Buyer Transfer

Transfers a Buyer object with all its dependencies between Accounts sharing the same External ID.

## POST /public/v1/accounts/buyers/{id}/transfer

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.227-g719b0804"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/buyers/{id}/transfer":{"post":{"tags":["Buyers"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BuyerTransfer"}},"text/json":{"schema":{"$ref":"#/components/schemas/BuyerTransfer"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/BuyerTransfer"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Buyer"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"BuyerTransfer":{"required":["account"],"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"icon":{"type":"string","nullable":true},"contact":{"type":"object","allOf":[{"$ref":"#/components/schemas/ContactQueryModel"}]},"externalIds":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}]},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/BuyerStatus"}]},"address":{"type":"object","allOf":[{"$ref":"#/components/schemas/Address"}]},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"name":{"type":"string","nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"activated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"unassigned":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"disabled":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Event":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/Identity"}]}},"additionalProperties":false},"Identity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"icon":{"type":"string","nullable":true}},"additionalProperties":false},"Audit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Metadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ContactQueryModel":{"type":"object","properties":{"name":{"type":"string","nullable":true},"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string","nullable":true},"phone":{"type":"object","allOf":[{"$ref":"#/components/schemas/PhoneNumber"}]},"user":{"type":"object","allOf":[{"$ref":"#/components/schemas/User"}]}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"email":{"type":"string"},"status":{"type":"string"},"phone":{"type":"object","allOf":[{"$ref":"#/components/schemas/PhoneNumber"}]},"firstName":{"type":"string"},"lastName":{"type":"string"},"icon":{"type":"string","nullable":true},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"type":"object","allOf":[{"$ref":"#/components/schemas/UserSettings"}]},"name":{"type":"string"},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountRef"}},"currentAccount":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string","nullable":true},"languageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"type":{"type":"string","allOf":[{"$ref":"#/components/schemas/AccountType"}]},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/AccountStatus"}]},"name":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"SellerRef":{"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"externalId":{"type":"string","nullable":true},"name":{"type":"string"}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"icon":{"type":"string","nullable":true},"contact":{"type":"object","allOf":[{"$ref":"#/components/schemas/ContactQueryModel"}]},"externalIds":{"type":"object","allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}]},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/BuyerStatus"}]},"address":{"type":"object","allOf":[{"$ref":"#/components/schemas/Address"}]},"taxId":{"type":"string","nullable":true},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"name":{"type":"string","nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/SellerRef"},"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
